Package org.apache.tomcat.util.buf

## Class Utf8Encoder

- java.lang.Object
- - java.nio.charset.CharsetEncoder
  - - org.apache.tomcat.util.buf.Utf8Encoder

    public class Utf8Encoder
    extends CharsetEncoder

Encodes characters as bytes using UTF-8. Extracted from Apache Harmony with some minor bug fixes applied.

### Constructor Summary

Constructors
`Utf8Encoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CoderResult` `encodeLoop​(CharBuffer in, ByteBuffer out)`

### Methods inherited from class java.nio.charset.CharsetEncoder

`averageBytesPerChar, canEncode, canEncode, charset, encode, encode, flush, implFlush, implOnMalformedInput, implOnUnmappableCharacter, implReplaceWith, implReset, isLegalReplacement, malformedInputAction, maxBytesPerChar, onMalformedInput, onUnmappableCharacter, replacement, replaceWith, reset, unmappableCharacterAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utf8Encoder

    public Utf8Encoder()

### Method Detail

#### encodeLoop

    protected CoderResult encodeLoop​(CharBuffer in,
                                     ByteBuffer out)

Specified by:
  `encodeLoop` in class `CharsetEncoder`